Syncterm - linux

Install latest/stable of Syncterm - linux

Ubuntu 16.04 or later?

Make sure snap support is enabled in your Desktop store.


Install using the command line

sudo snap install syncterm-linux

Don't have snapd? Get set up for snaps.

Channel Version Published

Ubuntu version of Syncterm - the BBS terminal emulator

Ubuntu version of Syncterm - the BBS terminal emulator

Details for Syncterm - linux

License
  • unset

Last updated
  • 24 May 2023 - latest/stable
  • 24 May 2023 - latest/edge

Websites

Contact

Share this snap

Generate an embeddable card to be shared on external websites.


Install Syncterm - linux on your Linux distribution

Choose your Linux distribution to get detailed installation instructions. If yours is not shown, get more details on the installing snapd documentation.


Where people are using Syncterm - linux

Users by distribution (log)

Ubuntu 22.04
Ubuntu 24.04

Is there a problem with Syncterm - linux? Report this app